<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Arrays y ciclos</title>
</head>

<body>

    <script>
        // FOR

        // for (var indice = 0; indice < 10; indice = indice + 1) {
        //     console.log(indice);
        // }

        // var suma = 0;
        // for (var i = 0; i < 5; i++) {
        //     var ingreso = parseInt(prompt("Ingrese un numero para sumar"));
        //     if (Number.isInteger(ingreso)) {
        //         suma += ingreso;
        //     }
        // }
        // alert(`La suma total es: ${suma}`);

        // WHILE
        // var es_impar = false;
        // while (!es_impar) {
        //     var ingreso = parseInt(prompt("Ingrese un numero PAR"));
        //     if (Number.isInteger(ingreso)) {
        //         var resto = ingreso % 2;
        //         console.log(resto);
        //         if (resto === 1) {
        //             console.log('Es un numero impar');
        //             es_impar = true;
        //         } else {
        //             console.log('Es un numero par');
        //         }
        //     }
        // }

        // ARRAYS

        // var paises = ['Colombia', 'Argentina', 'Mexico', 'Chile', 'Peru'];

        // paises.unshift('Bolivia');
        // paises.push('Venelueza');

        // paises.sort();

        // paises.push(7);
        // paises.push(true);
        // paises.push(['Otro valor', 1, true, false, 4, 'test']);


        // console.log(paises);
        // console.log(paises[4]);
        // paises[4] = 'mexico miniscula';

        // paises.splice(7, 1);

        // console.log(paises);

        // Ciclos y arrays
        var paises = ['Colombia', 'Argentina', 'Mexico', 'Chile', 'Peru'];

        // for (let index = 0; index < paises.length; index++) {
        //     const pais = paises[index];
        //     console.log(pais);
        // }

        // for (const pais of paises) {
        //     console.log(pais);
        // }

        // paises.forEach(function (pais) {
        //     console.log(pais);
        // });

    </script>
</body>

</html>